 /**********************************************************************
  *                                                                    *
  * Copyright (c) 2005 moneta,  CERN/PH-SFT                            *
  *                                                                    *
  *                                                                    *
  **********************************************************************/

// Header file defining forward declarations for LorentzVector classes 
// 
// Created by: Lorenzo Moneta  at Thu May 12 11:19:02 2005
// 
// Last update: Thu May 12 11:19:02 2005
// 
#ifndef MATHCORE_LORENTZROTATIONFWD
#define MATHCORE_LORENTZROTATIONFWD 1


namespace ROOT { 

  namespace Math { 
 

  template<class RotationType> class BasicLorentzRotation; 

  template<typename T> class Rotation4DMatrix;  
  template<typename T> class BoostMatrix;  

  /**
     4D Boost described by a boost matrix ( a symmetric 4x4 matrix) 
  */
  typedef BasicLorentzRotation<BoostMatrix<double> > LorentzBoost;  
  //  typedef BasicLorentzRotation<float , BoostMatrix> LorentzBoostF;  


  /**
     Standard Lorentz Rotation based on a 4x4 Matrix
   */
  typedef BasicLorentzRotation<Rotation4DMatrix<double> > LorentzRotation;  
  //  typedef BasicLorentzRotation<float , Rotation4DMatrix> LorentzRotationF;  



  } // end namespace Math

} // end namespace ROOT


#endif /* MATHCORE_LORENTZROTATIONFWD */
